/* automatically generated by make_docstrings.py */

PyDoc_STRVAR(pack_docstring, "Pack values as bytes following a format.\n"
"\n"
"    :param fmt: byte format of values\n"
"    :type fmt: Plum, tuple/list of Plum, or dict of Plum\n"
"    :param tuple args: packable values\n"
"    :param kwargs: packable values\n"
"    :returns: bytes buffer\n"
"    :rtype: bytearray\n"
"\n"
"\n"
"    ");

PyDoc_STRVAR(packmethod_docstring, "Pack item as bytes.\n"
"\n"
"        :param object item: packable item\n"
"        :returns: bytes buffer\n"
"        :rtype: bytearray\n"
"\n"
"        ");

PyDoc_STRVAR(unpack_docstring, "Unpack item(s) from bytes.\n"
"\n"
"    :param fmt: plum type, tuple of types, or dict of types\n"
"    :type fmt: Plum, tuple of Plum, or dict\n"
"    :param buffer: bytes buffer\n"
"    :type buffer: bytes-like (e.g. bytes, bytearray, memoryview) or binary file\n"
"    :returns: unpacked items\n"
"    :rtype: Plum, tuple of Plum, or dict of Plum (dependent on ``fmt``)\n"
"    :raises: ``UnpackError`` if insufficient bytes, excess bytes, or value error\n"

"\n"
"    ");

PyDoc_STRVAR(unpack_from_docstring, "Unpack item from within a bytes buffer.\n"
"\n"
"    :param fmt: plum type, tuple of types, or dict of types\n"
"    :type fmt: Plum, tuple of Plum, or dict\n"
"    :param buffer: bytes buffer\n"
"    :type buffer: bytes-like (e.g. bytes, bytearray, memoryview) or binary file\n"
"    :param int offset: starting byte offset (``None`` indicates current file position)\n"
"    :returns: unpacked items\n"
"    :rtype: Plum, tuple of Plum, or dict of Plum (dependent on ``fmt``)\n"
"    :raises: ``UnpackError`` if insufficient bytes or value error\n"

"\n"
"    ");